通过 Network Edge 订购互联网接入
Equinix Internet Access (EIA) 利用多家一级互联网服务提供商 (ISP) 和 Equinix Internet Exchange (IX) 提供混合互联网接入,以实现高可用性、可靠性和高速网络。要通过 API 订购 Internet Access:
- 您的网络边缘设备与 Equinix Internet Access 服务配置文件之间的 Fabric 连接是免费提供的。
- 当您取消配置您的互联网接入服务实例时,关联的 Fabric 连接也会被取消配置。
- 如果配置 Internet 接入服务实例时出现问题,则关联的 Fabric 连接将自动取消配置。
Equinix Internet Access with Network Edge 适用于已加入 Equinix Identity and Access Management 的组织,并且用于发送 API 请求的帐户必须具有“Equinix Fabric Manager”、“Network Edge Connections Manager”和“Network Edge Device Manager”角色。
先决条件
-
身份验证 - 提交您的 OAuth2 用户凭据、客户端 ID 和客户端密钥 身份验证。请参阅API身份验证以获取有关如何调用OAuth API来验证和认证您的凭据的说明。
-
确定 A 端信息。您需要已配置的网络边缘虚拟设备、冗余设备或集群,并已注册许可证。向
/ne/v1/devices端点或/ne/v1/devices/{id}端点发送GET请求。您可以选择设备上的任何可用接口进行连接。但是,如果您未指定接口,Equinix 将自动选择一个。 -
确定 Z 端信息。互联网接入服务配置文件类型为
IA_PROFILE,其 ID 为32d81829-0bf8-45d5-84e2-7289a553dbb6。要确定您的服务所在都市区,请向/internetAccess/v2/ibxs端点发送GET请求,以查找互联网接入服务可用的位置。您需要此信息才能订购互联网接入服务。
创建互联网连接
要创建 Internet 接入服务的连接,请向 /fabric/v4/connections 端点发送 POST 请求。连接类型为 IA_VC。
请在 aSide 对象中提供您的虚拟设备信息,包括:
accessPoint.typeasVDvirtualDevice.typeasEDGEvirtualDevice.uuidas your device's UUID
在 zSide 对象中提供 Internet 访问服务配置文件,包括:
accessPoint.typeasSP.profile.typeasIA_PROFILEprofile.uuidas32d81829-0bf8-45d5-84e2-7289a553dbb6metroCodeas the two letter metro code of the Internet Access metro you are connecting to.
如果要创建冗余连接,请发出两个请求。其中一个请求的 redundancy.priority 应设置为 PRIMARY。
并将另一个 redundancy.priority 设置为 SECONDARY,并且应将 redundancy.group 指定为第一个连接的 UUID。
A 侧可以使用虚拟设备集群或一对冗余设备(一个用于主设备,一个用于辅助设备)。
cURL 请求示例:
Primary connection example
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "IA_VC",
"name": "<your_connection_name>",
"bandwidth": <connection_speed>,
"redundancy": {
"priority": "PRIMARY"
},
"aSide": {
"accessPoint": {
"type": "VD",
"virtualDevice": {
"type": "EDGE",
"uuid": "<your_virtual_device_uuid>"
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"type": "IA_PROFILE",
"uuid": "32d81829-0bf8-45d5-84e2-7289a553dbb6"
},
"location": {
"metroCode": "<metro_code>"
}
}
},
"project": {
"projectId": "<project_id>"
},
"order": {
"purchaseOrderNumber": "<purchase_order_number>"
},
"notifications": [
{
"type": "ALL",
"emails": [
"<contact_email>"
]
}
]
}'
Secondary connection example
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "IA_VC",
"name": "<your_connection_name>",
"bandwidth": <connection_speed>,
"redundancy": {
"priority": "SECONDARY",
"group": "<primary_connection_uuid>"
},
"aSide": {
"accessPoint": {
"type": "VD",
"virtualDevice": {
"type": "EDGE",
"uuid": "<your_virtual_device_uuid>"
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"type": "IA_PROFILE",
"uuid": "32d81829-0bf8-45d5-84e2-7289a553dbb6"
},
"location": {
"metroCode": "<metro_code>"
}
}
},
"project": {
"projectId": "<project_id>"
},
"order": {
"purchaseOrderNumber": "<purchase_order_number>"
},
"notifications": [
{
"type": "ALL",
"emails": [
"<contact_email>"
]
}
]
}'
响应中包含一个 uuid,它是您的互联网接入服务的连接 ID。您必须拥有此连接 UUID 才能订购互联网接入服务。
使用提供商分配的 IP 块订购服务
如果您使用冗余连接连接到冗余设备或集群,则仅支持 BGP 路由。
要订购您的互联网接入服务,请向 /internetAccess/v2/services 端点发送 POST 请求。
当您使用 Equinix 拥有的 (PA) IP 地址订购服务时,请将 ipBlock.prefixLength 值设置为您需要的子网大小。
如果您通过单个连接订购服务:
- 将
type设置为SINGLE,并将连接 ID 提供给connections数组。 - 从
STATIC、DIRECT或BGP中选择您的routingProtocol.type。
如果您通过一对冗余连接订购服务:
- 将
type设置为DUAL,并将两个连接 ID 都提供给connections数组。 - 将
routingProtocol.type设置为BGP。
在亚太地区订购位于我们IBX数据中心之一的EIA服务实例时,如果启用了PA IPv4地址块,请务必将addressingPlans和questions信息添加到ipBlock对象中。更多信息,请参阅API参考。
静态路由
有关静态路由的文档可以在这里找到:../routing/static-routing.md。
cURL 请求示例:
Single Static Service in APAC region example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>,
"addressingPlans": [
{
"afterThreeMonths": <number_of_ip_addresses_used_after_three_months>,
"immediate": <number_of_ip_addresses_used_instantly>,
"purpose": "<purpose_of_ip_block>",
"size": <number_of_ip_addresses_requested>
}
],
"questions": [
{
"answer": "YES",
"type": "PRIVATE_SPACE_CONSIDERED"
},
{
"answer": "NO",
"type": "REFUSED_PREVIOUSLY"
},
{
"answer": "NO",
"type": "RETURNING_ADDRESS_SPACE"
}
]
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
直接路由
有关直接路由的文档可以在这里。
cURL 请求示例:
Single Direct Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
BGP路由
在 routingProtocol 对象中指定您的 BGP 配置详细信息:
- 在
routingProtocol.exportPolicy中指定要向 Internet 通告的路由,可以是FULL、DEFAULT、FULL_DEFAULT或PARTIAL。 - 在
routingProtocol.customerAsnRange中提供客户 ASN 范围 BITS_16(16 位 ASN)或 BITS_32(32 位 ASN)。 - 如果需要,请在
routingProtocol.bgpAuthKey中提供 bgpAuthKey。
有关 BGP 路由的文档可以在这里找到:../routing/bgp-routing.md。
cURL 请求示例:
Single BGP Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
Dual BGP Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
使用独立于提供商的 IP 块的订购服务
当您使用自己的 IP 地址块 (PI) 订购服务时,请在 customerRoutes.prefix 中指定它。
静态路由
cURL 请求示例:
Single Static Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
直接路由
在“对等互连”对象中指定 IP 块中的哪些 IP 可用于对等互连。
对于单服务类型,请在 equinixPeerIps 数组中仅提供一个 IP 地址。
cURL 请求示例:
Single Direct Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>"
]
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>"
]
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
BGP路由
cURL 请求示例:
Single BGP Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
Dual BGP Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
使用 PA 和 PI IP 块的订购服务
当您订购的服务同时包含提供商分配 (PA) 和提供商独立 (PI) IP 地址块时,请指定两个或多个包含相应字段的客户路由对象:
ipBlock.prefixLengthin case of Equinix provided IP Block (PA).customerRoutes.prefixin case of using your own IP Block (PI).
只能通过静态路由和 BGP 路由协议请求多个 IP 地址块。
cURL 请求示例:
Provider Assigned and Provider Independent IP Blocks example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
},
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
},
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
监控您的请求
要查看创建连接请求的状态,请向 fabric/v4/connections/{connectionId} 端点发送 GET 请求。
要查看您的互联网接入服务的详细信息,请使用 internetAccess/v2/services/{serviceId} 端点。
如果您的互联网接入服务实例配置出现问题,则关联的连接将自动取消配置。